Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class PKIXCertPathBuilderSpi

    java.lang.Object
      java.security.cert.CertPathBuilderSpi
          org.bouncycastle.jce.provider.PKIXCertPathBuilderSpi

    public class PKIXCertPathBuilderSpi

extends java.security.cert.CertPathBuilderSpi

Implements the PKIX CertPathBuilding algorithm for BouncyCastle.

See Also:
  `CertPathBuilderSpi`

Constructor Summary
`PKIXCertPathBuilderSpi()`

Method Summary
`protected java.security.cert.CertPathBuilderResult` `build(java.security.cert.X509Certificate tbvCert, ExtendedPKIXBuilderParameters pkixParams, java.util.List tbvPath)`
`java.security.cert.CertPathBuilderResult` `engineBuild(java.security.cert.CertPathParameters params)` Build and validate a CertPath using the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXCertPathBuilderSpi

    public PKIXCertPathBuilderSpi()

Method Detail

### engineBuild

    public java.security.cert.CertPathBuilderResult engineBuild(java.security.cert.CertPathParameters params)
                                                         throws java.security.cert.CertPathBuilderException,
                                                                java.security.InvalidAlgorithmParameterException

  Build and validate a CertPath using the given parameter.

  Specified by:
    `engineBuild` in class `java.security.cert.CertPathBuilderSpi`
  Parameters:
    `params` - PKIXBuilderParameters object containing all information to build the CertPath
  Throws:
    `java.security.cert.CertPathBuilderException`
    `java.security.InvalidAlgorithmParameterException`

### build

    protected java.security.cert.CertPathBuilderResult build(java.security.cert.X509Certificate tbvCert,
                                                             ExtendedPKIXBuilderParameters pkixParams,
                                                             java.util.List tbvPath)

Bouncy Castle Cryptography Library 1.45